Bug 6553 - Parentheses in corporate author break tracings
Summary: Parentheses in corporate author break tracings
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P3 major (vote)
Target Milestone: ---
Assignee: Liz Rea
QA Contact: Kyle M Hall
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-05 15:12 UTC by Jared Camins-Esakov
Modified: 2019-02-15 01:09 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 6553 : Fixing authentication issue, there is no reason we should be able to use these without authentication (deleted)
2011-08-01 09:24 UTC, Chris Cormack
Details
Bug 6553 : Follow up adding license statements (deleted)
2011-08-01 09:27 UTC, Chris Cormack
Details
Proposed Patch (3.57 KB, patch)
2011-10-03 15:26 UTC, Ian Walls
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6553: parentheses in authors break tracings (4.08 KB, patch)
2011-10-19 18:44 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 6553 - Parentheses in Corporate author break tracings (2.61 KB, patch)
2013-05-09 21:36 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 6553 - Parentheses in Corporate author break tracings (2.67 KB, patch)
2013-05-28 21:56 UTC, Mirko Tietgen
Details | Diff | Splinter Review
[PASSED QA] Bug 6553 - Parentheses in Corporate author break tracings (2.82 KB, patch)
2013-06-30 17:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2011-07-05 15:12:39 UTC
If a corporate author's name includes parentheses, the tracing produced by the XSLT produces an invalid search.
Comment 1 Chris Cormack 2011-08-01 09:24:31 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-08-01 09:27:16 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2011-08-01 09:56:24 UTC
The content of attachment 4788 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-08-01 21:56:18 NZST.
Comment 4 Chris Cormack 2011-08-01 09:56:41 UTC
The content of attachment 4789 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-08-01 21:56:37 NZST.
Comment 5 Chris Cormack 2011-08-29 00:30:43 UTC
Working on this
Comment 6 Chris Cormack 2011-08-29 01:27:45 UTC
This is okay using authorities, but yes is broken without. Fixing now
Comment 7 Chris Cormack 2011-08-29 01:59:54 UTC
Actually brackets in authors is broken in both xslt and normal display, works in facets
Comment 8 Ian Walls 2011-10-03 15:26:02 UTC Comment hidden (obsolete)
Comment 9 Owen Leonard 2011-10-11 14:17:06 UTC
To test, create an author which contains parentheses? Is it only corporate author? I'd be happy to test if I can figure out how.
Comment 10 Katrin Fischer 2011-10-19 18:44:10 UTC Comment hidden (obsolete)
Comment 11 Ian Walls 2011-10-19 18:54:21 UTC
XSLT-only change adding "" around authors to prevent tracings from breaking.  As I would normally mark this as Passed QA, so shall I now, unless anyone objects.
Comment 12 Chris Cormack 2011-10-19 22:26:13 UTC
Pushed please test
Comment 13 Kyle M Hall 2012-12-04 18:41:14 UTC
I believe this problem has come back. All the relevant fixed code is gone from master.
Comment 14 Liz Rea 2013-05-09 21:29:08 UTC
This has come back - the attachment doesn't apply anymore, will make a new patch.

LR
Comment 15 Liz Rea 2013-05-09 21:36:08 UTC Comment hidden (obsolete)
Comment 16 Mirko Tietgen 2013-05-28 21:56:42 UTC Comment hidden (obsolete)
Comment 17 Katrin Fischer 2013-06-30 17:37:21 UTC
Created attachment 19303 [details] [review]
[PASSED QA] Bug 6553 - Parentheses in Corporate author break tracings

To test:

If an author's name includes parentheses or other escape-characters, the tracing links
produced in the OPAC fail in XSLT mode.  This patch wraps the author names
in double-quotes, providing the necessary escapement.

Test plan:
- Create a new framework, delete Thesaurus from 100 and other fields
- Create a new record in this framework (or change an existing record to this framework)
- Add 100$a - use parentheses
- Check the search links in OPAC detail pages

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
XSLT change adding quotes. Search now matches search in the intranet.
Passes all tests.
Comment 18 Galen Charlton 2013-07-01 02:06:39 UTC
Pushed to master.  Thanks, Liz!
Comment 19 Tomás Cohen Arazi 2013-07-15 23:39:42 UTC
This patch has been pushed to 3.12.x, will be in 3.12.2.

Thanks Liz!
Comment 20 Bernardo Gonzalez Kriegel 2013-08-02 20:21:38 UTC
Pushed to 3.10.x, will be in 3.10.10